import request from '@/config/axios'

// 招聘会 API
export const JobFairWhiteApi = {
  // 获得招聘会白名单企业
  getJobFairWhiteList: async (params: any) => {
    return await request.get({ url: `/menduner/system/job-fair/get-white-enterprise`, params })
  },

  // 添加企业白名单
  addJobFairWhiteList: async (data: any) => {
    return await request.put({ url: `/menduner/system/job-fair/add-white-list`, data })
  },

  // 移除企业白名单
  removeJobFairWhiteList: async (data: any) => {
    return await request.put({ url: `/menduner/system/job-fair/remove-white-list`, data })
  },

  // 导出参加双选会职位 Excel
  exportJobFairWhiteList: async (jobFairId) => {
    return await request.download({ url: `/menduner/system/job-fair/detail/export-excel?jobFairId=${jobFairId}` })
  },

  // 导出招聘会投递数据
  exportJobFairApplyData: async (jobFairId) => {
    return await request.downloadGET({ url: `/flames/school/student/detail/export`, data: { jobFairId } })
  }
}